
SCM Creator (+Github) - Bug #2193

Missing undefined method "identifier_frozen?" for repository

16 Jul 2013 11:07 - Lluís -

Status: Closed Start date: 16 Jul 2013

Priority: Normal Due date: 29 Jul 2013

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.4.3   

Redmine version: 1.4.4 External issue:  

Description

Hi. I’m using redmine version 1.4.4+dfsg1-3 (debian stable).

Here’s an error I get when I click “New repository” on the “Repositories” tab under “Settings” of a specific project:

Processing RepositoriesController#new (for ... at 2013-07-16 12:45:31) [GET]

  Parameters: {"controller"=>"repositories", "action"=>"new", "project_id"=>"project-name"}

Rendering template within layouts/base

Rendering repositories/new

ActionView::TemplateError (undefined method `identifier_frozen?' for #<Repository::Subversion:0x00

0000051d85d0>) on line #13 of vendor/plugins/redmine_scm/app/views/repositories/_form.html.erb:

10:

11: <p><%= f.check_box :is_default, :label => :field_repository_is_default %></p>

12: <p>

13:   <%= f.text_field :identifier, :disabled => @repository.identifier_frozen? %>

14:   <% unless @repository.identifier_frozen? || Redmine::VERSION::MAJOR < 2 || Redmine::VERSION:

:MINOR < 2 %>

15:     <em class="info"><%= l(:text_length_between, :min => 1, :max => Repository::IDENTIFIER_MAX

_LENGTH) %> <%= l(:text_repository_identifier_info).html_safe %></em>

16:   <% end %>

    /usr/lib/ruby/vendor_ruby/active_record/attribute_methods.rb:270:in `method_missing'

    vendor/plugins/redmine_scm/app/views/repositories/_form.html.erb:13

    /usr/lib/ruby/vendor_ruby/action_view/renderable.rb:34:in `block in render'

    /usr/lib/ruby/vendor_ruby/action_view/base.rb:306:in `with_template'

    /usr/lib/ruby/vendor_ruby/action_view/renderable.rb:30:in `render'

    /usr/lib/ruby/vendor_ruby/action_view/renderable_partial.rb:20:in `block in render'

    /usr/lib/ruby/vendor_ruby/action_controller/benchmarking.rb:30:in `benchmark'

    /usr/lib/ruby/vendor_ruby/action_view/renderable_partial.rb:19:in `render'

    /usr/lib/ruby/vendor_ruby/action_view/template.rb:205:in `render_template'

    /usr/lib/ruby/vendor_ruby/action_view/renderable_partial.rb:44:in `render_partial'

    /usr/lib/ruby/vendor_ruby/action_view/partials.rb:184:in `render_partial'

    /usr/lib/ruby/vendor_ruby/action_view/base.rb:267:in `render'

    app/views/repositories/new.html.erb:4:in `block in _run_erb_app47views47repositories47new46htm

l46erb'

    /usr/lib/ruby/vendor_ruby/action_view/helpers/form_helper.rb:499:in `fields_for'

    /usr/lib/ruby/vendor_ruby/action_view/helpers/form_helper.rb:282:in `form_for'

    app/helpers/application_helper.rb:934:in `labelled_form_for'

    app/views/repositories/new.html.erb:3

    /usr/lib/ruby/vendor_ruby/action_view/renderable.rb:34:in `block in render'

    /usr/lib/ruby/vendor_ruby/action_view/base.rb:306:in `with_template'

    /usr/lib/ruby/vendor_ruby/action_view/renderable.rb:30:in `render'

    /usr/lib/ruby/vendor_ruby/action_view/template.rb:205:in `render_template'

    /usr/lib/ruby/vendor_ruby/action_view/base.rb:265:in `render'

    /usr/lib/ruby/vendor_ruby/action_view/base.rb:348:in `_render_with_layout'

    /usr/lib/ruby/vendor_ruby/action_view/base.rb:262:in `render'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:1252:in `render_for_file'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:978:in `render'

    /usr/lib/ruby/vendor_ruby/action_controller/benchmarking.rb:51:in `block in render_with_benchm

ark'
    /usr/lib/ruby/vendor_ruby/action_controller/benchmarking.rb:51:in `render_with_benchmark'

    app/controllers/repositories_controller.rb:44:in `new'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:1333:in `perform_action'

    /usr/lib/ruby/vendor_ruby/action_controller/filters.rb:617:in `call_filters'

    /usr/lib/ruby/vendor_ruby/action_controller/filters.rb:610:in `perform_action_with_filters'

    /usr/lib/ruby/vendor_ruby/action_controller/benchmarking.rb:68:in `block in perform_action_wit

h_benchmark'

    /usr/lib/ruby/vendor_ruby/action_controller/benchmarking.rb:68:in `perform_action_with_benchma

rk'

    /usr/lib/ruby/vendor_ruby/action_controller/rescue.rb:160:in `perform_action_with_rescue'

    /usr/lib/ruby/vendor_ruby/action_controller/flash.rb:151:in `perform_action_with_flash'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:532:in `process'

    /usr/lib/ruby/vendor_ruby/action_controller/filters.rb:606:in `process_with_filters'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:391:in `process'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:386:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/routing/route_set.rb:438:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:87:in `dispatch'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:121:in `_call'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:130:in `block in build_middleware_st

ack'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:29:in `call'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:29:in `block in call'

    /usr/lib/ruby/vendor_ruby/active_record/connection_adapters/abstract/query_cache.rb:34:in `cac

he'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:9:in `cache'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:28:in `call'

    /usr/lib/ruby/vendor_ruby/active_record/connection_adapters/abstract/connection_pool.rb:361:in

 `call'

    /usr/lib/ruby/vendor_ruby/action_controller/string_coercion.rb:25:in `call'

    /usr/lib/ruby/vendor_ruby/rack/head.rb:9:in `call'

    /usr/lib/ruby/vendor_ruby/rack/methodoverride.rb:21:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/params_parser.rb:15:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/session/cookie_store.rb:99:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/failsafe.rb:26:in `call'

    /usr/lib/ruby/vendor_ruby/rack/lock.rb:15:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:106:in `call'

    /usr/lib/ruby/vendor_ruby/rack/handler/fastcgi.rb:66:in `serve'

    public/dispatch.fcgi:24:in `<main>'

Rendering /usr/share/redmine/public/500.html (500 Internal Server Error)

 

Replacing the first call to “identifier_frozen?” with “false” works around the issue, but I suppose that’s a version compatibility problem.

Associated revisions

Revision 126 - 29 Jul 2013 21:08 - Andriy Lesyuk

Fixes for Redmine 1.4.x (closes #2193 and #2194)

History

#1 - 29 Jul 2013 12:40 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

#2 - 29 Jul 2013 12:41 - Andriy Lesyuk

- Target version set to 0.4.3

#3 - 29 Jul 2013 20:34 - Andriy Lesyuk

- Due date set to 29 Jul 2013

- Status changed from Open to In Progress
- % Done changed from 0 to 100

#4 - 29 Jul 2013 21:09 - Andriy Lesyuk

- Status changed from In Progress to Closed

Applied in changeset r126.
